When a case is created through the candidate-provided personally identifiable information (PII) flow, the candidate receives an email inviting them to participate in the background check process. This invitation email contains a link for the candidate to complete the KarmaCheck onboarding process, which involves providing the necessary PII and consenting to the background check. The following table lists the possible statuses for an invitation. The invitation status and its ID appear respectively asDocumentation Index
Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
Use this file to discover all available pages before exploring further.
invitationStatusName and invitationStatusId in the response body of API endpoints like GET /case/id/{caseId}.
| Invitation status | ID | Description |
|---|---|---|
| pending | 3f5e6898-6641-4685-8ee0-1363b7e10c98 | The invitation was sent to the candidate and is awaiting completion of the candidate’s onboarding. |
| expired | b5af27f7-8a03-4820-b2bd-82587dcacf5b | The invitation expired. You can call PUT /case/id/{caseId}/action/refreshinvite to extend the candidate’s onboarding period, or POST /case/id/{caseId}/action/resendinvite to create a new invitation email. |
| completed | d1962405-dd97-48f2-bede-530c2895481f | The candidate completed their onboarding. This initiates processing of the case. |
| cancelled | 0f6acacc-71c4-43ec-80fa-941ff71c0c16 | The invitation was canceled. This happens when a case is archived before the candidate completes their onboarding. |